textures/ik_sky/ik_sky_night
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/ik_sky/ik_sky_night_back.tga
	q3map_lightimage textures/ik_sky/ik_sky_night_back.tga
	q3map_surfacelight 200
	skyparms - 512 -
	{
		map textures/ik_sky/ik_sky_night_back.tga
		tcMod scale 2 2
		tcMod scroll 0.01 0.01
		depthWrite
	}
	{
		map textures/ik_sky/ik_sky_night_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.02 0.02
	}
}

textures/ik_light/ik_gtrimv_lit3a_1000
{
	q3map_lightimage textures/ik_light/ik_gtrimv_lit3a_glow.tga
	qer_editorimage textures/ik_light/ik_gtrimv_lit3a.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/ik_light/ik_gtrimv_lit3a.tga
		blendFunc blend
	}
        
	{
		map textures/ik_light/ik_gtrimv_lit3a_glow.tga
		tcmod scale -1 -1
		blendFunc add
		rgbGen wave noise .3 .2 0 1
	}
	
}


textures/ik_light/ik_gtrimv_lit2a_3000
{
	q3map_lightimage textures/ik_light/ik_gtrimv_lit2a_glow.tga
	qer_editorimage textures/ik_light/ik_gtrimv_lit2a.tga
	surfaceparm nomarks
	q3map_surfacelight 3000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/ik_light/ik_gtrimv_lit2a.tga
		blendFunc blend
	}
        
	{
		map textures/ik_light/ik_gtrimv_lit2a_glow.tga
		tcmod scale -1 -1
		blendFunc add
		rgbGen wave noise .3 .2 0 1
	}
	
}

textures/ik_light/ik_gtrimv_lit2a_flicker_2k
{
	qer_editorimage textures/ik_light/ik_gtrimv_lit2a.tga
	surfaceparm nomarks
	q3map_surfacelight 2000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ik_light/ik_gtrimv_lit2a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
		// waveform values - type base modifier phase frequency
	{
		map textures/ik_light/ik_gtrimv_lit2a_glow.tga
		blendFunc add
		rgbGen wave triangle .1 .6 0 3  //change the last number to make it fade faster/slower  
	}
	{
		map textures/ik_light/ik_gtrimv_lit2a_glow.tga
		blendFunc add
		rgbGen wave triangle 0 .7 .25 4  //change the last number to make it fade faster/slower  
	}
	

}
